package com.quant.entity;


/**
 * UserOrder entity. @author MyEclipse Persistence Tools
 */

public class Order implements java.io.Serializable {

	// Fields
	private static final long serialVersionUID = 2543768764575333967L;
	private Integer id;
	private Integer orderId;
	private String orderCode;
	private Integer uid;
	private String mobile;
	private Integer introducerUid;
	private Integer orgin;
	private Integer productId;
	private String productName;
	private String shorterName;
	private Integer orderMount;
	private Integer actualMount;
	private java.util.Date postTime;
	private String description;
	private String userName;
	private Integer majorStatus;
	private String majorStatusName;
	private Integer minorStatus;
	private String minorStatusName;
	

	// Constructors

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getMajorStatus() {
		return majorStatus;
	}

	public void setMajorStatus(Integer majorStatus) {
		this.majorStatus = majorStatus;
	}

	public Integer getMinorStatus() {
		return minorStatus;
	}

	public void setMinorStatus(Integer minorStatus) {
		this.minorStatus = minorStatus;
	}

	/** default constructor */
	public Order() {
	}

	/** full constructor */
	public Order(Integer orderId, String orderCode, Integer uid,
			String mobile, Integer introducerUid, Integer orgin,
			Integer status, Integer productId, Integer orderMount,
			Integer actualMount, java.util.Date postTime,String userName,Integer majorStatus,Integer minorStatus) {
		this.orderId = orderId;
		this.orderCode = orderCode;
		this.uid = uid;
		this.mobile = mobile;
		this.introducerUid = introducerUid;
		this.orgin = orgin;
		this.minorStatus = minorStatus;
		this.productId = productId;
		this.orderMount = orderMount;
		this.actualMount = actualMount;
		this.postTime = postTime;
		this.majorStatus = majorStatus;
		this.userName = userName;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getOrderId() {
		return this.orderId;
	}

	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}

	public String getOrderCode() {
		return this.orderCode;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Integer getIntroducerUid() {
		return this.introducerUid;
	}

	public void setIntroducerUid(Integer introducerUid) {
		this.introducerUid = introducerUid;
	}

	public Integer getOrgin() {
		return this.orgin;
	}

	public void setOrgin(Integer orgin) {
		this.orgin = orgin;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public Integer getOrderMount() {
		return this.orderMount;
	}

	public void setOrderMount(Integer orderMount) {
		this.orderMount = orderMount;
	}

	public Integer getActualMount() {
		return this.actualMount;
	}

	public void setActualMount(Integer actualMount) {
		this.actualMount = actualMount;
	}

	public java.util.Date getPostTime() {
		return this.postTime;
	}

	public void setPostTime(java.util.Date postTime) {
		this.postTime = postTime;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public String getMajorStatusName() {
		return majorStatusName;
	}

	public void setMajorStatusName(String majorStatusName) {
		this.majorStatusName = majorStatusName;
	}

	public String getMinorStatusName() {
		return minorStatusName;
	}

	public void setMinorStatusName(String statusName) {
		this.minorStatusName = statusName;
	}

	public String getShorterName() {
		return shorterName;
	}

	public void setShorterName(String shorterName) {
		this.shorterName = shorterName;
	}

}